Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.fileserver
Class SystemDirectory

    java.lang.Object
      com.atlassian.bamboo.fileserver.SystemDirectory

    public class SystemDirectory

extends Object

This class provides key system directory info

Field Summary
`static String` | `DOWNLOAD_DIRECTORY`

Constructor Summary
`SystemDirectory()`

Method Summary
`static File` | `getBuildDataDirectory(String buildKey)` Provide a specific builds data directory
`static File` | `getBuildDownloadDataDirectory(String buildKey)` Build a specific build's download data directory.
`static File` | `getBuildResultsDirectory(String buildKey)`
`static File` | `getBuildWorkingDirectory(String buildKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOWNLOAD_DIRECTORY

    public static final String DOWNLOAD_DIRECTORY

See Also:
  Constant Field Values

Constructor Detail

### SystemDirectory

    public SystemDirectory()

Method Detail

### getBuildDownloadDataDirectory

    public static File getBuildDownloadDataDirectory(String buildKey)

  Build a specific build's download data directory.

  Parameters:
    `buildKey` - The build's unique key
  Returns:
    The build's download directory

### getBuildDataDirectory

    public static File getBuildDataDirectory(String buildKey)

  Provide a specific builds data directory

  Parameters:
    `buildKey` - The build's unique key
  Returns:
    The build's root data directory

### getBuildResultsDirectory

    public static File getBuildResultsDirectory(String buildKey)

### getBuildWorkingDirectory

    public static File getBuildWorkingDirectory(String buildKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.